
Infrastructure - Task #1963

Story # 1906 (Closed): Review, revise, and update architecture documentation

boolean -> Boolean

2011-11-01 15:47 - Roger Dahl

Status: Rejected Start date: 2011-11-01

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

MNAuthorization.isAuthorized(session, pid, action) → boolean

Since the Boolean type being returned is a un-named type and note a parameter name, should it be capitalized?

History

#1 - 2011-11-03 20:43 - Dave Vieglais

- Status changed from New to Rejected

There's a difference between boolean (native type) and Boolean (serializable type). Method signatures need to be checked for consistency, but

"boolean" response is generally expected.

#2 - 2014-10-02 17:21 - Dave Vieglais

- Target version set to Maintenance Backlog
